import { Component, OnInit } from '@angular/core';
import { AssignmentsService } from '../shared/assignments.service';
import { Assignment } from './assignment.model';

@Component({
  selector: 'app-assignments',
  templateUrl: './assignments.component.html',
  styleUrls: ['./assignments.component.css'],
})
export class AssignmentsComponent implements OnInit {
  titre = 'Liste des assignments :';
  //ajoutActive = false;

  assignmentSelectionne?:Assignment;
  assignments:Assignment[]=[];

  constructor(private assignmentsService: AssignmentsService) {}

  ngOnInit(): void {
    // appelé juste avant l'affichage
    // On utilise le service pour récupérer le tableau
    // des assignments
    this.assignmentsService.getAssignments()
    .subscribe(assignments => {
      this.assignments = assignments;
      console.log("Données reçues");

    });
    console.log("APPEL à getAssignments terminé");
  }

  getAssignmentColor(a: any) {
    return a.rendu ? 'green' : 'red';
  }


  assignmentClique(assignment:Assignment) {
    this.assignmentSelectionne = assignment;
    console.log("assignment clique = " + assignment.nom);
  }

/*
  onNouvelAssignment(assignment:Assignment) {
    // assignment envoyé par le composant add-assignment
    //this.assignments.push(assignment);
    this.assignmentsService.addAssigment(assignment)
    .subscribe(message => {
      console.log(message);

      // IMPORTANT DE LE FAIRE ICI car l'ajout peut prendre plusieurs secondes
      // avec web services et BD distante
       // on cache le formulaire et on affiche la liste
       //this.formVisible = false;
    });
  }
*/
  onDeleteAssignment(assignment:Assignment) {
    // on supprime cet assignment
   this.assignmentsService.deleteAssignment(assignment)
   .subscribe(message => {
     console.log(message);
    });
  }
}
